%define	major	1
%define	libname %mklibname nl %{major}
%define	libdev	%mklibname -d nl

Name:		libnl
Version:	1.1.4
Release:	%mkrel 3
Summary:	Library for applications dealing with netlink sockets
License:	LGPL2.1
Group:		System/X11
URL:		http://www.infradead.org/~tgr/libnl/
Source0:	http://www.infradead.org/~tgr/libnl/files/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
Patch4:		libnl-1.0-pre8-more-build-output.patch
Patch6:		libnl-1.1-doc-inlinesrc.patch

%description
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for applications dealing with netlink sockets

%description -n	%{libname}
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%package -n	%{libdev}
Group:		Development/C
Summary:	Header files of libnl
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname nl 1 -d

%description -n	%{libdev}
libnl is a library for applications dealing with netlink sockets.
The library provides an interface for raw netlink messaging and
various netlink family specific interfaces.

%prep
%setup -q
%setup -q
%patch4 -p1 -b .more-build-output
%patch6 -p1 -b .doc-inlinesrc

# a quick hack to make doxygen stripping builddir from html outputs.
sed -i.org -e "s,^STRIP_FROM_PATH.*,STRIP_FROM_PATH = `pwd`," doc/Doxyfile.in

%build
%configure
%__make
%__make gendoc

%install
%make_install

%files -n %{libname}
%{_libdir}/libnl.so.%{major}
%{_libdir}/libnl.so.%{major}.*

%files -n %{libdev}
%dir %{_includedir}/netlink
%{_includedir}/netlink/*.h
%dir %{_includedir}/netlink/fib_lookup
%{_includedir}/netlink/fib_lookup/*.h
%dir %{_includedir}/netlink/genl
%{_includedir}/netlink/genl/*.h
%dir %{_includedir}/netlink/route
%{_includedir}/netlink/route/*.h
%dir %{_includedir}/netlink/route/cls
%{_includedir}/netlink/route/cls/*.h
%dir %{_includedir}/netlink/route/sch
%{_includedir}/netlink/route/sch/*.h
%{_libdir}/libnl.so
%{_libdir}/pkgconfig/%{name}-%{major}.pc
%{_libdir}/%{name}.a


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.1.4-3.mga8
+ Revision: 1514309
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1299050
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Dec 30 2016 luigiwalser <luigiwalser> 1.1.4-1.mga6
+ Revision: 1078672
- 1.1.4
- remove upstreamed patches 1, 2, 3, and 5

* Mon Feb 08 2016 umeabot <umeabot> 1.1-12.mga6
+ Revision: 946380
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-11.mga5
+ Revision: 746218
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-10.mga5
+ Revision: 681654
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 507258
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 357872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ tmb <tmb>
- revert to 1.1 to match repos
- drop buildroot and defattr
- fix license
- update to 3.2.6

* Wed Jan 12 2011 tmb <tmb> 1.1-7.mga1
+ Revision: 7559
- imported package libnl


* Wed Jan 12 2011 Thomas Backlund <tmb@mageia.org> 1.1-7.mga1
- initial Mageia import
- drop support for old mandriva releases

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-6mdv2011.0
+ Revision: 602583
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-5mdv2010.1
+ Revision: 520890
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-4mdv2010.0
+ Revision: 425631
- rebuild

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 1.1-3mdv2009.1
+ Revision: 349782
- Rebuild and add Fedora Patches

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 1.1-2mdv2009.0
+ Revision: 197474
- Obsoletes old devel name

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Feb 05 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1-1mdv2008.1
+ Revision: 162681
- New release: 1.1
- recompress with lzma rather than bzip2
- cosmetics
- drop fugliness

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0-0.pre5.3mdv2007.0
+ Revision: 121853
- fix installation (path0: owner during install setup, and libdir)

* Wed Jul 19 2006 Olivier Blin <oblin@mandriva.com> 1.0-0.pre5.2mdv2007.0
+ Revision: 41536
- bump release
- add pkgconfig file (required for NetworkManager)
- define fullversion to work easily with pre version

* Thu Jul 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.pre5.1mdv2007.0
+ Revision: 40979
- import libnl-1.0-0.pre5.1mdv2007.0

